package eu.univento.lobby.utils;

import eu.univento.core.api.player.CustomPlayer;
import org.bukkit.scoreboard.DisplaySlot;
import org.bukkit.scoreboard.Objective;
import org.bukkit.scoreboard.Score;
import org.bukkit.scoreboard.Scoreboard;

/**
 * @author joethei
 * @version 1.0
 */
public class Scoreboards {

    public static void updateScoreboard(CustomPlayer p) {
        //Messages msgs = p.getMessages();
        Scoreboard board = p.getScoreboard();
        if(board.getObjective("Lobby") != null) board.getObjective("Lobby").unregister();

        Objective obj = board.registerNewObjective("Lobby", "dummy");
        obj.setDisplaySlot(DisplaySlot.SIDEBAR);
        //obj.setDisplayName(msgs.TAB_PREFIX());

        Score empty = obj.getScore(" ");
        empty.setScore(13);

        //Score coinsMsg = obj.getScore(msgs.LobbyBoard_COINS());
        //coinsMsg.setScore(12);

        //Score coins = obj.getScore("§7" + p.getDatabasePlayer().getCoins());
        //coins.setScore(11);

        Score empty1 = obj.getScore(" ");
        empty1.setScore(10);

        Score empty2 = obj.getScore(" ");
        empty2.setScore(7);

        //Score forumMsg = obj.getScore(msgs.LobbyBoard_FORUM());
        //forumMsg.setScore(6);

        Score forum = obj.getScore("§7forum.univento.eu");
        forum.setScore(5);

        Score empty3 = obj.getScore(" ");
        empty3.setScore(4);

        //Score tsMsg = obj.getScore(msgs.LobbyBoard_TS());
        //tsMsg.setScore(3);

        Score ts = obj.getScore("§7ts.univento.eu");
        ts.setScore(2);

        Score empty4 = obj.getScore(" ");
        empty4.setScore(1);

        Score end = obj.getScore("         §8-*-");
        end.setScore(0);

    }
}